org.apache.tinkerpop.gremlin.process.computer

## Class GraphComputerTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.computer.GraphComputerTest

-     public class GraphComputerTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GraphComputerTest.BadGraphComputer`
    `static class` | `GraphComputerTest.MapReduceB`
    `static class` | `GraphComputerTest.MapReduceBB`
    `static class` | `GraphComputerTest.MapReduceC`
    `static class` | `GraphComputerTest.MapReduceK`
    `static class` | `GraphComputerTest.MultiScopeVertexProgram`
    `static class` | `GraphComputerTest.MultiScopeVertexWithEdgeFunctionProgram`
    `static class` | `GraphComputerTest.VertexProgramA`
    `static class` | `GraphComputerTest.VertexProgramB`
    `static class` | `GraphComputerTest.VertexProgramC`
    `static class` | `GraphComputerTest.VertexProgramD`
    `static class` | `GraphComputerTest.VertexProgramE`
    `static class` | `GraphComputerTest.VertexProgramF`
    `static class` | `GraphComputerTest.VertexProgramG`
    `static class` | `GraphComputerTest.VertexProgramH`
    `static class` | `GraphComputerTest.VertexProgramI`
    `static class` | `GraphComputerTest.VertexProgramJ`
    `static class` | `GraphComputerTest.VertexProgramK`
    `static class` | `GraphComputerTest.VertexProgramL`
    `static class` | `GraphComputerTest.VertexProgramM`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphComputerTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAllowMapReduceWithNoVertexProgram()`
    `void` | `shouldAndOrIncrCorrectlyThroughSubStages()`
    `void` | `shouldFailWithImproperTraverserRequirements()`
    `void` | `shouldHandleUndeclaredMemoryKeysCorrectly()`
    `void` | `shouldHaveConsistentMemoryVertexPropertiesAndExceptions()`
    `void` | `shouldHaveImmutableComputeResultMemory()`
    `void` | `shouldHaveStandardStringRepresentation()`
    `void` | `shouldNotAllowBadGraphComputers()`
    `void` | `shouldNotAllowEmptyMemoryKeys()`
    `void` | `shouldNotAllowNullMemoryKeys()`
    `void` | `shouldNotAllowTheSameComputerToExecutedTwice()`
    `void` | `shouldNotAllowWithNoVertexProgramNorMapReducers()`
    `void` | `shouldOnlyAllowIDAccessOfAdjacentVertices()`
    `void` | `shouldOnlyAllowReadingVertexPropertiesInMapReduce()`
    `void` | `shouldProcessResultGraphNewWithPersistEdges()`
    `void` | `shouldProcessResultGraphNewWithPersistNothing()`
    `void` | `shouldProcessResultGraphNewWithPersistVertexProperties()`
    `void` | `shouldProcessResultGraphOriginalWithPersistEdges()`
    `void` | `shouldProcessResultGraphOriginalWithPersistNothing()`
    `void` | `shouldProcessResultGraphOriginalWithPersistVertexProperties()`
    `void` | `shouldSortMapOutput()`
    `void` | `shouldSortReduceOutput()`
    `void` | `shouldStartAndEndWorkersForVertexProgramAndMapReduce()`
    `void` | `shouldSucceedWithProperTraverserRequirements()`
    `void` | `shouldSupportBroadcastKeys()`
    `void` | `shouldSupportGraphFilter()`
    `void` | `shouldSupportJobChaining()`
    `void` | `shouldSupportMultipleMapReduceJobs()`
    `void` | `shouldSupportMultipleScopes()`
    `void` | `shouldSupportMultipleScopesWithEdgeFunction()`
    `void` | `shouldSupportPersistResultGraphPairsStatedInFeatures()`
    `void` | `shouldSupportPreExistingComputeKeys()`
    `void` | `shouldSupportTransientKeys()`
    `void` | `shouldSupportWorkerCount()`
    `void` | `testMessagePassingBoth()`
    `void` | `testMessagePassingIn()`
    `void` | `testMessagePassingOut()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphComputerTest

          public GraphComputerTest()

  - ### Method Detail

    - #### shouldHaveStandardStringRepresentation

          public void shouldHaveStandardStringRepresentation()

    - #### shouldNotAllowWithNoVertexProgramNorMapReducers

          public void shouldNotAllowWithNoVertexProgramNorMapReducers()
                                                               throws Exception

      Throws:
        `Exception`

    - #### shouldNotAllowBadGraphComputers

          public void shouldNotAllowBadGraphComputers()

    - #### shouldHaveImmutableComputeResultMemory

          public void shouldHaveImmutableComputeResultMemory()
                                                      throws Exception

      Throws:
        `Exception`

    - #### shouldNotAllowNullMemoryKeys

          public void shouldNotAllowNullMemoryKeys()
                                            throws Exception

      Throws:
        `Exception`

    - #### shouldNotAllowEmptyMemoryKeys

          public void shouldNotAllowEmptyMemoryKeys()
                                             throws Exception

      Throws:
        `Exception`

    - #### shouldHandleUndeclaredMemoryKeysCorrectly

          public void shouldHandleUndeclaredMemoryKeysCorrectly()
                                                         throws Exception

      Throws:
        `Exception`

    - #### shouldNotAllowTheSameComputerToExecutedTwice

          public void shouldNotAllowTheSameComputerToExecutedTwice()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldHaveConsistentMemoryVertexPropertiesAndExceptions

          public void shouldHaveConsistentMemoryVertexPropertiesAndExceptions()
                                                                       throws Exception

      Throws:
        `Exception`

    - #### shouldAndOrIncrCorrectlyThroughSubStages

          public void shouldAndOrIncrCorrectlyThroughSubStages()
                                                        throws Exception

      Throws:
        `Exception`

    - #### shouldAllowMapReduceWithNoVertexProgram

          public void shouldAllowMapReduceWithNoVertexProgram()
                                                       throws Exception

      Throws:
        `Exception`

    - #### shouldSupportMultipleMapReduceJobs

          public void shouldSupportMultipleMapReduceJobs()
                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldSortReduceOutput

          public void shouldSortReduceOutput()
                                      throws Exception

      Throws:
        `Exception`

    - #### shouldSortMapOutput

          public void shouldSortMapOutput()
                                   throws Exception

      Throws:
        `Exception`

    - #### shouldOnlyAllowReadingVertexPropertiesInMapReduce

          public void shouldOnlyAllowReadingVertexPropertiesInMapReduce()
                                                                 throws Exception

      Throws:
        `Exception`

    - #### shouldOnlyAllowIDAccessOfAdjacentVertices

          public void shouldOnlyAllowIDAccessOfAdjacentVertices()
                                                         throws Exception

      Throws:
        `Exception`

    - #### shouldStartAndEndWorkersForVertexProgramAndMapReduce

          public void shouldStartAndEndWorkersForVertexProgramAndMapReduce()
                                                                    throws Exception

      Throws:
        `Exception`

    - #### shouldSupportPersistResultGraphPairsStatedInFeatures

          public void shouldSupportPersistResultGraphPairsStatedInFeatures()
                                                                    throws Exception

      Throws:
        `Exception`

    - #### shouldProcessResultGraphNewWithPersistNothing

          public void shouldProcessResultGraphNewWithPersistNothing()
                                                             throws Exception

      Throws:
        `Exception`

    - #### shouldProcessResultGraphNewWithPersistVertexProperties

          public void shouldProcessResultGraphNewWithPersistVertexProperties()
                                                                      throws Exception

      Throws:
        `Exception`

    - #### shouldProcessResultGraphNewWithPersistEdges

          public void shouldProcessResultGraphNewWithPersistEdges()
                                                           throws Exception

      Throws:
        `Exception`

    - #### shouldProcessResultGraphOriginalWithPersistNothing

          public void shouldProcessResultGraphOriginalWithPersistNothing()
                                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldProcessResultGraphOriginalWithPersistVertexProperties

          public void shouldProcessResultGraphOriginalWithPersistVertexProperties()
                                                                           throws Exception

      Throws:
        `Exception`

    - #### shouldProcessResultGraphOriginalWithPersistEdges

          public void shouldProcessResultGraphOriginalWithPersistEdges()
                                                                throws Exception

      Throws:
        `Exception`

    - #### shouldSupportWorkerCount

          public void shouldSupportWorkerCount()
                                        throws Exception

      Throws:
        `Exception`

    - #### shouldSupportMultipleScopes

          public void shouldSupportMultipleScopes()
                                           throws ExecutionException,
                                                  InterruptedException

      Throws:
        `ExecutionException`
        `InterruptedException`

    - #### shouldSupportMultipleScopesWithEdgeFunction

          public void shouldSupportMultipleScopesWithEdgeFunction()
                                                           throws ExecutionException,
                                                                  InterruptedException

      Throws:
        `ExecutionException`
        `InterruptedException`

    - #### shouldSupportGraphFilter

          public void shouldSupportGraphFilter()
                                        throws Exception

      Throws:
        `Exception`

    - #### shouldSupportJobChaining

          public void shouldSupportJobChaining()
                                        throws Exception

      Throws:
        `Exception`

    - #### shouldSupportPreExistingComputeKeys

          public void shouldSupportPreExistingComputeKeys()
                                                   throws Exception

      Throws:
        `Exception`

    - #### shouldSupportTransientKeys

          public void shouldSupportTransientKeys()
                                          throws Exception

      Throws:
        `Exception`

    - #### shouldSupportBroadcastKeys

          public void shouldSupportBroadcastKeys()
                                          throws Exception

      Throws:
        `Exception`

    - #### shouldSucceedWithProperTraverserRequirements

          public void shouldSucceedWithProperTraverserRequirements()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldFailWithImproperTraverserRequirements

          public void shouldFailWithImproperTraverserRequirements()
                                                           throws Exception

      Throws:
        `Exception`

    - #### testMessagePassingIn

          public void testMessagePassingIn()
                                    throws Exception

      Throws:
        `Exception`

    - #### testMessagePassingOut

          public void testMessagePassingOut()
                                     throws Exception

      Throws:
        `Exception`

    - #### testMessagePassingBoth

          public void testMessagePassingBoth()
                                      throws Exception

      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.